Subject: Re: [bug#29943] [PATCH] doc: Describe Wayland status.

From: ng0 <[email-masked]>
Date: Sat, 6 Jan 2018 14:43:08 +0000

Ludovic Courtès transcribed 1.3K bytes:
> Hello!
> 
> Rutger Helling <[email-masked]> skribis:
> 
> > From a790d403524df182cdd8aa35931b989234d874cd Mon Sep 17 00:00:00 2001
> > From: Rutger Helling <[email-masked]>
> > Date: Tue, 2 Jan 2018 13:14:09 +0100
> > Subject: [PATCH] doc: Describe Wayland status.
> >
> > * doc/guix.texi (Desktop Services): Add a paragraph about the current status of
> > Wayland in Guix.
> 
> Good idea!
> 
> > +++ b/doc/guix.texi
> > @@ -45,6 +45,7 @@ Copyright @copyright{} 2017 George Clemmer@*
> >  Copyright @copyright{} 2017 Andy Wingo@*
> >  Copyright @copyright{} 2017 Arun Isaac@*
> >  Copyright @copyright{} 2017 nee
> > +Copyright @copyright{} 2018 Rutger Helling@*
> 
> You need @* on the line before yours, but not on yours (it introduces a
> linebreak).
> 
> > +The desktop environments in Guix use X11 by default. If you'd like to
> 
> s/X11/the Xorg display server/ (in an attempt not to assume a too
> technical audience.)
> 
> Also, please always put two spaces after an end-of-sentence period, to
> ensure proper rendering.

Under which conditions does this result in non-proper rendering?
It's certainly not a Tex issue from what I can tell. So far I assumed it's just a convention
because in some countries this is the default and in some not.
I think we have a very short explanation in the Manual, but this never really
explained why or what could go wrong. Maybe we could extend that.

> > +use the more modern display server protocol called Wayland, you need
> 
> s/more modern/newer/  :-)
> 
> > +to use the @code{sddm-service} instead of the @code{slim-service} for
> > +the graphical login manager. You should then select the ``GNOME
> > +(Wayland)'' session in SDDM. Currently only GNOME has support for
> > +Wayland.
> 
> Otherwise LGTM, thanks!
> 
> Ludo’.
> 
> 
> 
> 

-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is/a/  ::  https://ea.n0.is